/*
 * VIA VT86C100A Rhine-II and VIA VT3043 Rhine Based Card Add-on
 * for the BeOS Release 5
 */
/*
 * Common methods for ethernet drivers
 */
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include "via-rhine-driver.h"
#include "via-rhine-netbuflist.h"
#include <add-ons/net_server/NetDevice.h>

class EtherDevice : public BNetDevice
{
protected:
	int          fd;
	int          nonblock;
	_NetBufList  packetlist;
	bool         got_address;
	char         address[6];
	unsigned int framesize;

protected:
	BNetPacket *ReadPacket(void);

public: 
	EtherDevice();
	
	int  Init (const char *devicelink, char *params);
    void Close(void);

	BIpDevice  *OpenIP(void);
	
	BNetPacket *AllocPacket  (void);
	BNetPacket *ReceivePacket(void);
	void        SendPacket   (BNetPacket *packet);
	
    void            Address   (char *address);
	net_device_type Type      (void);
	void            Statistics(FILE *f);

	status_t AddMulticastAddress   (const char *address);
	status_t RemoveMulticastAddress(const char *address);

	status_t SetPromiscuous(bool yes);

	unsigned int MaxPacketSize   (void);
	int          SetMaxPacketSize(unsigned framesize);
};
