/*
 * VIA VT86C100A Rhine-II and VIA VT3043 Rhine Based Card Add-on
 * for the BeOS Release 5
 */

#include "generic.h"

int debug_printf(char *format, ...);

static const char TITLE[]  = "VIA Rhine Ethernet Adapter";
static const char CONFIG[] = "via-rhine";
static const char LINK[]   = "/dev/net/via-rhine";

extern "C" _EXPORT BNetDevice *open_device(const char *device)
{
	GenericDevice *dev;

	dev = new GenericDevice();
	if (dev->Start(device) < B_NO_ERROR)
	{
		delete dev;
		return (NULL);
	}

#ifdef __VIARHINE_DEBUG__
	debug_printf("open_device\n");
#endif
	return dev;
}

extern "C" _EXPORT BNetConfig *open_config(const char *device)
{
#ifdef __VIARHINE_DEBUG__
	debug_printf("open_config\n");
#endif
	return new GenericConfig(TITLE, CONFIG, LINK);
}
